/* dxp_commands.h */

#ifndef DXPCOMMANDS_H
#define DXPCOMMANDS_H

///// INCLUDES (optional)
#include "dxp_common.h"
#include "dxp_client.h"

///// DEFINES


///// ENUMS


///// STRUCTURES
typedef struct {
	int command;
	int (*function)(int, tDxp *);
} tDxpCommandFunction;

///// GLOBALS
extern tDxpCommandFunction dxpCommandFunctions[];

///// FUNCTION PROTOTYPES
extern int processDxpCommand(int, int, tDxp *);
extern int dxpCmndSet(int, tDxp *);
extern int dxpCmndGet(int, tDxp *);
extern int dxpCmndIo(int, tDxp *);
extern int dxpCmndKeepAlive(int, tDxp *);
extern int dxpCmndRss(int, tDxp *);
extern int dxpCmndRcu(int, tDxp *);
extern int dxpCmndPcControl(int, tDxp *);

#endif

